import uuid

from pydantic import BaseModel, ConfigDict, Field

from . import to_camel


class ProductLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: str | None = None
    enabled: bool | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
