import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { BeerSaleReportItem } from './beer-sale-report-item';

export class BeerSaleReportDataSource extends DataSource<BeerSaleReportItem> {
  constructor(public data: BeerSaleReportItem[]) {
    super();
  }

  connect(): Observable<BeerSaleReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
