import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Customer } from '../core/customer';

import { CustomerService } from './customer.service';

@Injectable({
  providedIn: 'root',
})
export class CustomerListResolver {
  constructor(private ser: CustomerService) {}

  resolve(): Observable<Customer[]> {
    return this.ser.list();
  }
}
