import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { ModifierCategory } from '../core/modifier-category';

import { ModifierCategoryService } from './modifier-category.service';

@Injectable({
  providedIn: 'root',
})
export class ModifierCategoryListResolver {
  constructor(private ser: ModifierCategoryService) {}

  resolve(): Observable<ModifierCategory[]> {
    return this.ser.list();
  }
}
