import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Modifier } from '../core/modifier';

import { ModifierService } from './modifier.service';

@Injectable({
  providedIn: 'root',
})
export class ModifierListResolver {
  constructor(private ser: ModifierService) {}

  resolve(): Observable<Modifier[]> {
    return this.ser.list();
  }
}
