import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Regime } from '../core/regime';

import { RegimeService } from './regime.service';

@Injectable({
  providedIn: 'root',
})
export class RegimeListResolver {
  constructor(private ser: RegimeService) {}

  resolve(): Observable<Regime[]> {
    return this.ser.list();
  }
}
