import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { MenuCategory } from '../../core/menu-category';

@Component({
  selector: 'app-menu-category',
  templateUrl: './menu-categories.component.html',
  styleUrls: ['./menu-categories.component.sass'],
})
export class MenuCategoriesComponent implements OnInit {
  list: MenuCategory[] = [];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: MenuCategory[] };
      this.list = data.list;
    });
  }
}
