import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

export class ReasonDatasource extends DataSource<string> {
  constructor(private data: string[]) {
    super();
  }

  connect(): Observable<string[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
