import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Section } from '../core/section';

import { SectionService } from './section.service';

@Injectable({
  providedIn: 'root',
})
export class SectionListResolver {
  constructor(private ser: SectionService) {}

  resolve(): Observable<Section[]> {
    return this.ser.list();
  }
}
