import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Table } from '../core/table';

import { TableService } from './table.service';

@Injectable({
  providedIn: 'root',
})
export class TableListResolver {
  constructor(private ser: TableService) {}

  resolve(): Observable<Table[]> {
    return this.ser.list();
  }
}
