import uuid

from pydantic import BaseModel, ConfigDict

from . import to_camel


class HeaderFooter(BaseModel):
    id_: uuid.UUID
    name: str
    text: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
