import uuid

from pydantic import BaseModel, ConfigDict

from . import to_camel


class Split(BaseModel):
    inventories: list[uuid.UUID]
    table_id: uuid.UUID
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
