import { BeerSaleReportItem } from './beer-sale-report-item';

export class BeerSaleReport {
  startDate: string;
  finishDate: string;
  regular: boolean;
  happy: boolean;
  staff: boolean;
  nc: boolean;
  headers: string[];
  data: BeerSaleReportItem[];

  public constructor(init?: Partial<BeerSaleReport>) {
    this.startDate = '';
    this.finishDate = '';
    this.regular = true;
    this.happy = true;
    this.staff = true;
    this.nc = true;
    this.data = [];
    this.headers = [];
    Object.assign(this, init);
  }
}
