import { User } from '../core/user';

import { CashierReportDisplayItem } from './cashier-report-display-item';
import { CashierReportPrintItem } from './cashier-report-print-item';

export class CashierReport {
  startDate: string;
  finishDate: string;
  cashier: User;
  cashiers: string;
  amounts: CashierReportDisplayItem[];
  info: CashierReportPrintItem[];

  public constructor(init?: Partial<CashierReport>) {
    this.startDate = '';
    this.finishDate = '0';
    this.cashier = new User();
    this.cashiers = '';
    this.amounts = [];
    this.info = [];
    Object.assign(this, init);
  }
}
