import { Tax } from './tax';

export class SaleCategory {
  id: string | undefined;
  name: string;
  discountLimit: number;
  tax?: Tax;

  public constructor(init?: Partial<SaleCategory>) {
    this.id = undefined;
    this.name = '';
    this.discountLimit = 1;
    Object.assign(this, init);
  }
}
