import { Printer } from './printer';
import { SaleCategory } from './sale-category';

export class SectionPrinter {
  saleCategory: SaleCategory | null;
  printer: Printer | null;
  copies: number;

  public constructor(init?: Partial<SectionPrinter>) {
    this.saleCategory = null;
    this.printer = null;
    this.copies = 0;
    Object.assign(this, init);
  }
}
