import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';

import { GuestBook } from '../guest-book';

export class GuestBookListDataSource extends DataSource<GuestBook> {
  constructor(private readonly dataObs: Observable<GuestBook[]>) {
    super();
  }

  connect(): Observable<GuestBook[]> {
    return this.dataObs;
  }

  /**
   *  Called when the table is being destroyed. Use this function, to clean up
   * any open connections or free any held resources that were set up during connect.
   */
  disconnect() {}
}
