export class GuestBook {
  id: string | undefined;
  serial: number;
  name: string;
  phone: string;
  pax: number;
  address: string | null;
  date: string;
  status?: string;
  tableId?: string;
  voucherId?: string;
  tableName?: string;

  public constructor(init?: Partial<GuestBook>) {
    this.id = undefined;
    this.serial = 0;
    this.name = '';
    this.phone = '';
    this.pax = 0;
    this.address = null;
    this.date = '';
    Object.assign(this, init);
  }
}
