import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Product } from '../core/product';

import { TemporalProductService } from './temporal-product.service';

@Injectable({
  providedIn: 'root',
})
export class TemporalProductListResolverService {
  constructor(private ser: TemporalProductService) {}

  resolve(): Observable<Product[][]> {
    return this.ser.list();
  }
}
